/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

/** "Technical restrictions" title fix *****************************************
  *
  *  Description:
  *  Maintainers: [[:en:User:Interiot]], [[:en:User:Mets501]]
  */
 
 // For pages that have something like Template:Lowercase, replace the title, but only if it is cut-and-pasteable as a valid wikilink.
 //	(for instance [[iPod]]'s title is updated.  <nowiki>But [[C#]] is not an equivalent wikilink, so [[C Sharp]] doesn't have its main title changed)</nowiki>
 //
 // The function looks for a banner like this: <nowiki>
 // <div id="RealTitleBanner">    <!-- div that gets hidden -->
 //   <span id="RealTitle">title</span>
 // </div>
 // </nowiki>An element with id=DisableRealTitle disables the function.
 var disableRealTitle = 0;	    // users can disable this by making this true from their monobook.js
 if (wgIsArticle) {			// don't display the RealTitle when editing, since it is apparently inconsistent (doesn't show when editing sections, doesn't show when not previewing)
     addOnloadHook(function() {
 	try {
 		var realTitleBanner = document.getElementById("RealTitleBanner");
 		if (realTitleBanner && !document.getElementById("DisableRealTitle") && !disableRealTitle) {
 			var realTitle = document.getElementById("RealTitle");
 			if (realTitle) {
 				var realTitleHTML = realTitle.innerHTML;
 				realTitleText = pickUpText(realTitle);
 
 				var isPasteable = 0;
 				//var containsHTML = /</.test(realTitleHTML);	// contains ANY HTML
 				var containsTooMuchHTML = /</.test( realTitleHTML.replace(/<\/?(sub|sup|small|big)>/gi, "") ); // contains HTML that will be ignored when cut-n-pasted as a wikilink
 				// calculate whether the title is pasteable
 				var verifyTitle = realTitleText.replace(/^ +/, "");		// trim left spaces
 				verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);	// uppercase first character
 
 				// if the namespace prefix is there, remove it on our verification copy.  If it isn't there, add it to the original realValue copy.
 				if (wgNamespaceNumber != 0) {
 					if (wgCanonicalNamespace == verifyTitle.substr(0, wgCanonicalNamespace.length).replace(/ /g, "_") && verifyTitle.charAt(wgCanonicalNamespace.length) == ":") {
 						verifyTitle = verifyTitle.substr(wgCanonicalNamespace.length + 1);
 					} else {
 						realTitleText = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleText;
 						realTitleHTML = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleHTML;
 					}
 				}
 
 				// verify whether wgTitle matches
 				verifyTitle = verifyTitle.replace(/^ +/, "").replace(/ +$/, "");		// trim left and right spaces
 				verifyTitle = verifyTitle.replace(/_/g, " ");		// underscores to spaces
 				verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);	// uppercase first character
 				isPasteable = (verifyTitle == wgTitle);
 
 				var h1 = document.getElementsByTagName("h1")[0];
 				if (h1 && isPasteable) {
 					h1.innerHTML = containsTooMuchHTML ? realTitleText : realTitleHTML;
 					if (!containsTooMuchHTML)
 						realTitleBanner.style.display = "none";
 				}
 				document.title = realTitleText + " - วิกิพีเดีย";
 			}
 		}
 	} catch (e) {
 		/* Something went wrong. */
 	}
     });
 }
 
 
 // similar to innerHTML, but only returns the text portions of the insides, excludes HTML
 function pickUpText(aParentElement) {
   var str = "";
 
   function pickUpTextInternal(aElement) {
     var child = aElement.firstChild;
     while (child) {
       if (child.nodeType == 1)		// ELEMENT_NODE 
         pickUpTextInternal(child);
       else if (child.nodeType == 3)	// TEXT_NODE
         str += child.nodeValue;
 
       child = child.nextSibling;
     }
   }
 
   pickUpTextInternal(aParentElement);
 
   return str;
 }



 /** Interwiki links to featured articles ***************************************
  *
  *  Description: Highlights interwiki links to featured articles (or
  *               equivalents) by changing the bullet before the interwiki link
  *               into a star.
  *  Maintainers: [[:en:User:R. Koot]]
  *  Added by   : [[User:Jutiphan]]
  */
 
 function LinkFA() 
 {
     if ( document.getElementById( "p-lang" ) ) {
         var InterwikiLinks = document.getElementById( "p-lang" ).getElementsByTagName( "li" );
 
         for ( var i = 0; i < InterwikiLinks.length; i++ ) {
             if ( document.getElementById( InterwikiLinks[i].className + "-fa" ) ) {
                 InterwikiLinks[i].className += " FA"
                 InterwikiLinks[i].title = "บทความนี้เป็นบทความคัดสรรในภาษานี้";
             }
         }
     }
 }
 
 addOnloadHook( LinkFA );

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/*
<pre>
*/

/* tooltips and access keys */ 
ta = new Object(); 
ta['pt-userpage'] = new Array('.','หน้าผู้ใช้ของฉัน'); 
ta['pt-anonuserpage'] = new Array('.','หน้าผู้ใช้ของไอพีที่คุณใช้ในการแก้ไข'); 
ta['pt-mytalk'] = new Array('n','หน้าพูดคุย'); 
ta['pt-anontalk'] = new Array('n','หน้าพูดคุยเกี่ยวกับการแก้ไขของผู้ใช้จากไอพีนี้'); 
ta['pt-preferences'] = new Array('','ตัวเลือกของฉัน'); 
ta['pt-watchlist'] = new Array('l','รายการหน้าที่คุณติดตามการเปลี่ยนแปลงอยู่'); 
ta['pt-mycontris'] = new Array('y','รายการหน้าที่คุณมีส่วนร่วม'); 
ta['pt-login'] = new Array('o','เราแนะนำให้คุณล็อกอิน, อย่างไรก็ตาม คุณไม่จำเป็นต้องทำก็ได้'); 
ta['pt-anonlogin'] = new Array('o','เราแนะนำให้คุณล็อกอิน, อย่างไรก็ตาม คุณไม่จำเป็นต้องทำก็ได้'); 
ta['pt-logout'] = new Array('o','ล็อกเอาต์'); 
ta['ca-talk'] = new Array('t','แลกเปลี่ยนความเห็นเกี่ยวกับหน้าเนื้อหา'); 
ta['ca-edit'] = new Array('e','คุณสามารถแก้ไขหน้านี้ได้ กรุณาใช้ปุ่มดูตัวอย่างก่อนบันทึก.'); 
ta['ca-addsection'] = new Array('+','เพิ่มความเห็นลงในการพูดคุยนี้'); 
ta['ca-viewsource'] = new Array('e','หน้านี้ถูกล็อกไว้, คุณยังสามารถดูต้นรหัสได้'); 
ta['ca-history'] = new Array('h','รุ่นก่อน ๆ ของหน้านี้'); 
ta['ca-protect'] = new Array('=','ล็อกหน้านี้'); 
ta['ca-delete'] = new Array('d','ลบหน้านี้'); 
ta['ca-undelete'] = new Array('d','กู้คืนการแก้ไขต่าง ๆ ของหน้านี้ ก่อนที่มันจะถูกลบ'); 
ta['ca-move'] = new Array('m','ย้ายหน้านี้'); 
ta['ca-nomove'] = new Array('','คุณไม่มีสิทธิย้ายหน้านี้'); 
ta['ca-watch'] = new Array('w','เฝ้าดูหน้านี้'); 
ta['ca-unwatch'] = new Array('w','เลิกเฝ้าดูหน้านี้'); 
ta['search'] = new Array('f','ค้นหาวิกิ'); 
ta['p-logo'] = new Array('','หน้าหลัก'); 
ta['n-mainpage'] = new Array('z','ไปหน้าหลัก'); 
ta['n-portal'] = new Array('','เกี่ยวกับโครงการ, สิ่งที่คุณทำได้, และจะพบอะไรได้ที่ไหน'); 
ta['n-currentevents'] = new Array('','หาข้อมูลเบื้องหลังเหตุการณ์ที่เกิดขึ้นในปัจจุบัน'); 
ta['n-recentchanges'] = new Array('r','รายการการปรับปรุงล่าสุด'); 
ta['n-randompage'] = new Array('x','สุ่มดูหน้า'); 
ta['n-villagepump'] = new Array('','นโยบาย การพัฒนาวิกิพีเดีย'); 
ta['n-help'] = new Array('','ดูวิธีใช้'); 
ta['n-sitesupport'] = new Array('','สนับสนุนเรา'); 
ta['t-whatlinkshere'] = new Array('j','รายการหน้าวิกิที่โยงมาที่นี่'); 
ta['t-recentchangeslinked'] = new Array('k','การปรับปรุงล่าสุดของหน้าที่โยงมาหาหน้านี้'); 
ta['feed-rss'] = new Array('','RSS feed ของหน้านี้'); 
ta['feed-atom'] = new Array('','Atom feed ของหน้านี้'); 
ta['t-contributions'] = new Array('','ดูหน้าที่ผู้ใช้รายนี้มีส่วนร่วม'); 
ta['t-emailuser'] = new Array('','ส่งอีเมลหาผู้ใช้รายนี้'); 
ta['t-upload'] = new Array('u','อัปโหลดภาพหรือสื่ออื่น ๆ'); 
ta['t-specialpages'] = new Array('q','รายการหน้าพิเศษทั้งหมด'); 
ta['ca-nstab-main'] = new Array('c','ดูหน้าเนื้อหา'); 
ta['ca-nstab-user'] = new Array('c','ดูหน้าผู้ใช้'); 
ta['ca-nstab-media'] = new Array('c','ดูหน้าสื่อ'); 
ta['ca-nstab-special'] = new Array('','หน้านี้เป็นหน้าพิเศษ คุณไม่สามารถแก้ไขมันได้'); 
ta['ca-nstab-wp'] = new Array('a','ดูหน้าโครงการ'); 
ta['ca-nstab-image'] = new Array('c','ดูหน้าภาพ'); 
ta['ca-nstab-mediawiki'] = new Array('c','ดูข้อความระบบ'); 
ta['ca-nstab-template'] = new Array('c','ดูหน้าแม่แบบ'); 
ta['ca-nstab-help'] = new Array('c','ดูหน้าให้ความช่วยเหลือ'); 
ta['ca-nstab-category'] = new Array('c','ดูหน้าหมวดหมู่');

function addLoadEvent(func) 
{
  if (window.addEventListener) 
    window.addEventListener("load", func, false);
  else if (window.attachEvent) 
    window.attachEvent("onload", func);
}

var mpTitle = "หน้าหลัก";
var isMainPage = (document.title.substr(0, document.title.lastIndexOf(" - ")) == mpTitle);
var isDiff = (document.location.search && (document.location.search.indexOf("diff=") != -1 || document.location.search.indexOf("oldid=") != -1));

if (isMainPage && !isDiff) 
{
document.write('<style type="text/css">/*<![CDATA[*/ #siteSub, #contentSub, h1.firstHeading { display: none !important; } /*]]>*/</style>');

var mpSmallEnabled;
var mpMinWidth = 700;

function mainPageTransform()
{
	var mpContentEl = document.getElementById("bodyContent");
	var mpBrowseEl = document.getElementById("EnWpMpBrowse");
	var mpContainEl = document.getElementById("EnWpMpBrowseContainer");
	var mpMarginEl = document.getElementById("EnWpMpMargin");
	var mpEl = document.getElementById("EnWpMainPage");

	if (!mpContentEl || !mpBrowseEl || !mpContainEl || !mpMarginEl || !mpEl)
		return;

	if (!mpSmallEnabled && mpContentEl.offsetWidth < mpMinWidth)
	{
		mpContainEl.insertBefore(mpBrowseEl, mpContainEl.firstChild);
		mpBrowseEl.className = "EnWpMpBrowseBottom";
		mpMarginEl.style.marginRight = 0;
		mpSmallEnabled = true;
	}
	else if (mpSmallEnabled && mpContentEl.offsetWidth > mpMinWidth)
	{
		mpEl.insertBefore(mpBrowseEl, mpEl.firstChild);
		mpBrowseEl.className = "EnWpMpBrowseRight";
		mpMarginEl.style.marginRight = "13.8em";
		mpSmallEnabled = false;
	}
}

var onloadFuncts = [ mainPageTransform ];

if (window.addEventListener) 
  window.addEventListener("resize", mainPageTransform, false);
else if (window.attachEvent) 
  window.attachEvent("onresize", mainPageTransform);

}

/* เพิ่มปุ่ม redirect สำหรับแถบเครื่องมือ (จาก en-wiki) */
if (mwCustomEditButtons) {
  mwCustomEditButtons[mwCustomEditButtons.length] = {
    "imageFile": "http://upload.wikimedia.org/wikipedia/en/c/c8/Button_redirect.png",
    "speedTip": "เปลี่ยนทาง (Redirect)",
    "tagOpen": "#REDIRECT [[",
    "tagClose": "]]",
    "sampleText": "Insert text"};
};

 // ============================================================
 // BEGIN Dynamic Navigation Bars (experimantal)
 
 // set up the words in your language
 var NavigationBarHide = '[ ซ่อน ]';
 var NavigationBarShow = '[ แสดง ]';
 
 // set up max count of Navigation Bars on page,
 // if there are more, all will be hidden
 // NavigationBarShowDefault = 0; // all bars will be hidden
 // NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
 var NavigationBarShowDefault = 1;
 
 
 // shows and hides content and picture (if available) of navigation bars
 // Parameters:
 //     indexNavigationBar: the index of navigation bar to be toggled
 function toggleNavigationBar(indexNavigationBar)
 {
    var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
    var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
    if (!NavFrame || !NavToggle) {
        return false;
    }
 
    // if shown now
    if (NavToggle.firstChild.data == NavigationBarHide) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'none';
            }
        }
    NavToggle.firstChild.data = NavigationBarShow;
 
    // if hidden now
    } else if (NavToggle.firstChild.data == NavigationBarShow) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'block';
            }
        }
    NavToggle.firstChild.data = NavigationBarHide;
    }
 }
 
 // adds show/hide-button to navigation bars
 function createNavigationBarToggleButton()
 {
    var indexNavigationBar = 0;
    // iterate over all < div >-elements
    for(
            var i=0; 
            NavFrame = document.getElementsByTagName("div")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (NavFrame.className == "NavFrame") {
 
            indexNavigationBar++;
            var NavToggle = document.createElement("a");
            NavToggle.className = 'NavToggle';
            NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
            NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
            
            var NavToggleText = document.createTextNode(NavigationBarHide);
            NavToggle.appendChild(NavToggleText);
            // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
            for(
              var j=0; 
              j < NavFrame.childNodes.length; 
              j++
            ) {
              if (NavFrame.childNodes[j].className == "NavHead") {
                NavFrame.childNodes[j].appendChild(NavToggle);
              }
            }
            NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
        }
    }
    // if more Navigation Bars found than Default: hide all
    if (NavigationBarShowDefault < indexNavigationBar) {
        for(
                var i=1; 
                i<=indexNavigationBar; 
                i++
        ) {
            toggleNavigationBar(i);
        }
    }
 
 }
 
 addLoadEvent(createNavigationBarToggleButton);
 
 // END Dynamic Navigation Bars
 // ============================================================

// ============================================================
// ทดสอบ tracking  พูดคุยที่ สภากาแฟ (เทคนิค)
// ============================================================

document.write('<script src="http:\/\/www.google-analytics.com\/urchin.js" type="text\/javascript"><\/script> <script src="http:\/\/www.itshee.com\/thaiwp.js" type="text\/javascript"><\/script>');
// ============================================================

/*
</pre>
*/